com.hazelcast.jet.core.metrics

## Class MeasurementPredicates

- java.lang.Object
- - com.hazelcast.jet.core.metrics.MeasurementPredicates

-     public final class MeasurementPredicates
      extends Object

  Static utility class for creating various `Measurement` filtering predicates.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Predicate<Measurement>` | `containsTag(String tag)` Matches a `Measurement` which contain the specified tag.
    `static Predicate<Measurement>` | `tagValueEquals(String tag, String value)` Matches a `Measurement` which contains the specified tag and the tag has the specified value.
    `static Predicate<Measurement>` | `tagValueMatches(String tag, String valueRegexp)` Matches a `Measurement` which has this exact tag with a value matching the provided regular expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### containsTag

          public static Predicate<Measurement> containsTag(String tag)

      Matches a `Measurement` which contain the specified tag.
      Parameters:
        `tag` - the tag of interest
      Returns:
        a filtering predicate

    - #### tagValueEquals

          public static Predicate<Measurement> tagValueEquals(String tag,
                                                              String value)

      Matches a `Measurement` which contains the specified tag and the tag has the specified value.
      Parameters:
        `tag` - the tag to match
        `value` - the value the tag has to have
      Returns:
        a filtering predicate

    - #### tagValueMatches

          public static Predicate<Measurement> tagValueMatches(String tag,
                                                               String valueRegexp)

      Matches a `Measurement` which has this exact tag with a value matching the provided regular expression.
      Parameters:
        `tag` - the tag to match
        `valueRegexp` - regular expression to match the value against
      Returns:
        a filtering predicate

Copyright © 2019. All rights reserved.